package cn.com.poc.appbuilder.api.entity;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;

import java.io.Serializable;

/**
 * @Author: Jennie
 * @Description:
 * @Date: 2024/8/7 12:11
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class FollowUpQuery implements Serializable {

    /**
     * 追问类型 (default | custom)
     */
    private String type;

    /**
     * 追问问题生成prompt
     */
    private String prompt;

    /**
     * 追问问题生成轮数
     */
    private String round;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getPrompt() {
        return prompt;
    }

    public void setPrompt(String prompt) {
        this.prompt = prompt;
    }

    public String getRound() {
        return round;
    }

    public void setRound(String round) {
        this.round = round;
    }
}
